%define        target_cpu  %(echo %{_target_cpu} | sed -e "s,i.86\\|pentium.\\|athlon,i386,;s,amd64,x86_64,;s,armv.*,arm,")

Name:          dietlibc
Version:       0.35
Release:       1mamba
Summary:       A libc optimized for small size
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.fefe.de/dietlibc/
Source:        http://www.fefe.de/dietlibc/dietlibc-%{version}.tar.xz
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
License:       GPL

%description
The diet libc is a libc that is optimized for small size.
It can be used to create small statically linked binaries for Linux on alpha, arm, hppa, ia64, i386, mips, s390, sparc, sparc64, ppc and x86_64.

%package devel
Summary:       Development files for %{name}
Group:         Development/Libraries

%description devel
The diet libc is a libc that is optimized for small size.
It can be used to create small statically linked binaries for Linux on alpha, arm, hppa, ia64, i386, mips, s390, sparc, sparc64, ppc and x86_64.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%make \
    prefix=%{_libdir}/%{name} \
    BINDIR=%{_bindir} \
    MAN1DIR=%{_mandir}/man1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
    prefix=%{_libdir}/%{name} \
    BINDIR=%{_bindir} \
    MAN1DIR=%{_mandir}/man1

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%{_bindir}/diet
%{_bindir}/dnsd
%{_bindir}/elftrunc
%{_libdir}/%{name}/include
%{_libdir}/%{name}/lib-%{target_cpu}/*.?
%{_mandir}/man1/*
%doc BUGS CAVEAT CHANGES FAQ PORTING 
%doc README README.* SECURITY THANKS TODO

%changelog
* Mon Nov 25 2024 Automatic Build System <autodist@openmamba.org> 0.35-1mamba
- automatic version update by autodist

* Sat Aug 17 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.34-1mamba
- update to 0.34

* Thu Jun 20 2013 Automatic Build System <autodist@mambasoft.it> 0.33-1mamba
- update to 0.33

* Fri Jun 05 2009 Automatic Build System <autodist@mambasoft.it> 0.32-1mamba
- automatic update by autodist

* Tue Aug 28 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.31-1mamba
- update to 0.31

* Mon Sep 05 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.29-1qilnx
- update to version 0.29 by autospec
- added ppc target support

* Fri Nov 19 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.27-1qilnx
- update to version 0.27 by autospec

* Mon Apr 26 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.25-1qilnx
- rebuilt with dietlibc-0.25

* Thu Mar 04 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.24-1qilnx
- rebuilt with dietlibc-0.24
- added profiling and dynamic library versions

* Wed Apr 23 2003 Silvan Calarco <silvan.calarco@qinet.it> 0.22-2qilnx
- changed prefix to make diet find its libraries

* Wed Apr 23 2003 Silvan Calarco <silvan.calarco@qinet.it> 0.22-1qilnx
- first build
